# BUYStoreViewControllerDelegate Protocol Reference

Conforms to | BUYViewControllerDelegate
Declared in | BUYStoreViewController.h

## Overview

The BUYStoreViewControllerDelegate protocol implements methods related to the checkout process

### `– controller:shouldProceedWithCheckoutType:` required method

Tells the delegate that the user has proceeded to checkout. Use this opportunity to present an interface to a user to choose between checking out with Apple Pay or standard webcheckout. Note: Before presenting an option for Apple Pay, check if the device is setup to do so by calling `[PKPaymentAuthorizationViewController canMakePayments]`

`- (void)controller:(BUYStoreViewController *)controller shouldProceedWithCheckoutType:(BUYCheckoutTypeBlock)completionHandler`

#### Parameters

`controller` | The controller with an embedded WKWebView displaying the Shopify store
`completionHandler` | (^BUYCheckoutTypeBlock)(BUYCheckoutType type);

#### Declared In

`BUYStoreViewController.h`